/*=============== VARIABLES CSS ===============*/
:root {
  --header-height: 4rem;

  /*========== Colors ==========*/
  --hue: 174;
  --sat: 63%;
  --first-color: hsl(var(--hue), var(--sat), 40%);
  --first-color-alt: hsl(var(--hue), var(--sat), 36%);
  --title-color: #fff;
  --logo-color: #ffcc00;
  --text-color: hsl(var(--hue), 8%, 35%);
  --body-color: hsl(var(--hue), 100%, 99%);
  --header-color: #090040;
  --container-color: #FFF;

  /*========== Font and typography ==========*/
  --body-font: 'Open Sans', sans-serif;
  --h1-font-size: 1.5rem;
  --normal-font-size: .938rem;
  --tiny-font-size: 0.75rem;

  /*========== z index ==========*/
  --z-tooltip: 10;
  --z-fixed: 100;
}

@media screen and (min-width: 968px) {
  :root {
    --h1-font-size: 2.25rem;
    --normal-font-size: 1rem;
  }
}

/*=============== BASE ===============*/
* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

html {
  scroll-behavior: smooth;
}

body {
  margin: var(--header-height) 0 0 0;
  font-family: var(--body-font);
  font-size: var(--normal-font-size);
  background-color: var(--body-color);
  color: var(--text-color);
}

ul {
  list-style: none;
}

a {
  text-decoration: none;
}

img {
  max-width: 100%;
  height: auto;
}

/*=============== LAYOUT ===============*/
.container {
  margin-left: 1rem;
  margin-right: 1rem;
}

/*=============== HEADER ===============*/
.header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  background-color: var(--header-color);
  z-index: var(--z-fixed);
  transition: .4s;
}

/*=============== NAV ===============*/
.nav {
  height: var(--header-height);
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.nav__img {
  width: 32px;
  border-radius: 50%;
}

.nav__logo {
  color: var(--logo-color);
  font-weight: 600;
}

@media screen and (max-width: 770px) {
  .nav__menu {
    position: fixed;
    bottom: 0;
    left: 0;
    background-color: var(--header-color);
    box-shadow: 0 -1px 12px hsla(var(--hue), var(--sat), 15%, 0.15);
    width: 100%;
    height: 4rem;
    padding: 0 1rem;
    display: grid;
    align-content: center;
    border-radius: 0.5rem 0.5rem 0 0;
    transition: .4s;
  }
}

.nav__list, 
.nav__link {
  display: flex;
}

.nav__link {
  flex-direction: column;
  align-items: center;
  row-gap: 4px;
  color: var(--title-color);
  font-weight: 600;
}

.nav__list {
  justify-content: space-around;
}

.nav__name {
  font-size: var(--tiny-font-size);
  /* display: none;*/ /* Minimalist design, hidden labels */
}

.nav__icon {
  font-size: 1.5rem;
}
.nav__logo{
    font-size: 2rem;
}

/*Active link*/
.active-link {
  position: relative;
  color: var(--first-color);
  transition: .3s;
}

/* Minimalist design, active link */
/* .active-link::before{
  content: '';
  position: absolute;
  bottom: -.5rem;
  width: 4px;
  height: 4px;
  background-color: var(--first-color);
  border-radius: 50%;
} */

/* Change background header */
.scroll-header {
  box-shadow: 0 1px 12px hsla(var(--hue), var(--sat), 15%, 0.15);
}

/*=============== MEDIA QUERIES ===============*/
/* For small devices */
/* Remove if you choose, the minimalist design */
@media screen and (max-width: 320px) {
  .nav__name {
    display: none;
  }
   .nav{
    padding: 0 0.1rem;
 }
}

/* For medium devices */
@media screen and (min-width: 576px) {
  .nav__list {
    justify-content: center;
    column-gap: 3rem;
  }
 .nav{
    padding: 0 2rem;
 }
}

@media screen and (min-width: 767px) {
  body {
    margin: 0;
  }
  .section {
    padding: 7rem 0 2rem;
  }
  .nav {
    height: calc(var(--header-height) + 1.5rem); /* 4.5rem */
  }
  .nav__img {
    display: none;
  }
  .nav__icon {
    display: none;
  }
  .nav__name {
    font-size: var(--normal-font-size);
    /* display: block; */ /* Minimalist design, visible labels */
  }
  .nav__link:hover {
    color: var(--first-color);
  }

  /* First design, remove if you choose the minimalist design */
  .active-link::before {
    content: '';
    position: absolute;
    bottom: -.75rem;
    width: 4px;
    height: 4px;
    background-color: var(--first-color);
    border-radius: 50%;
  }

 main{
margin-top:15vh;
}
  /* Minimalist design */
  /* .active-link::before{
      bottom: -.75rem;
  } */
}

@media screen and (min-width: 850px) {
 
 .nav__logo{
    font-size: 2rem;
 }
  .nav{
    padding: 1rem 4rem;
 }
}

/* For large devices */
@media screen and (min-width: 1024px) {
  .container {
    margin-left: auto;
    margin-right: auto;
  }
  .nav__logo{
    font-size: 2.5rem;
  }
   .nav{
    padding: 1rem 6rem;
 }
}


/*======Sub-subjects-list starts here=======*/

.sub-subjects{
  width:50%;
  margin: 0 auto;
}
.sub-subject-list{
  margin-top: 130px;
  display: grid;
  grid-template-columns: 1fr 1fr;
}
.sub-subject-list a{
  display: block;
    background-color: #ffcc00;
    margin: 100px;
    padding: 10px;
    border-radius: 15px;
    color: #090040;
    font-weight: 600;
    font-size: 1.5rem;
    width: 18rem;
    border: none;
    box-shadow: 3px 3px 5px 1px #090040;
    margin: 1rem auto;
    text-align: center;
}
.sub-subject-list a:hover{
background-color:#090040;
color: #ffcc00;
}
.back-btn{
  margin: 0 auto;
 
}
.back-btn a{
   display: block;
  background-color: #090040;
    padding: 15px;
    border-radius: 15px;
    font-weight: 600;
    font-size: 1.5rem;
    width: 18rem;
    color: #ffcc00;
    border: none;
    box-shadow: 3px 3px 5px 1px #090040;
    margin: 1rem auto;
    text-align: center;
}

.back-btn a:hover{
  color: #090040;
  background-color: #ffcc00;
}

@media screen and (max-width:1220px){
  .sub-subjects{
  width:90%;
  margin: 0 auto;
}
.sub-subject-list{
  margin-top: 130px;
}
}

@media screen and (max-width:767px){
  .sub-subjects{
  width:90%;
  margin: 0 auto;
}
.sub-subject-list{
  margin-top: 90px;
  display: block;
}
.sub-subjects{
  margin-bottom: 80px;;
}

}

